Package ru.bitel.oss.kernel.entity.common.bean

# Class EntitySpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.EntitySpec

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `ContractObjectType`, `ContractParameterGroup`

    public class EntitySpec
    extends IdTitle

Сущность/Тип объекта/Группа параметров ObjectType

See Also:
  Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `EntitySpec.Builder` |

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `EntitySpec()` |
  `EntitySpec​(java.lang.String title)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static EntitySpec.Builder` | `builder()` |
  `static java.lang.String` | `createEntityTitle​(int entityId, java.lang.String title, EntitySpec spec, java.util.Map<java.lang.Integer,​EntityAttr> attributes)` |
  `java.lang.String` | `createEntityTitle​(Entity entity)` |
  `java.util.List<EntitySpecAttr>` | `getAttributeList()` |
  `java.lang.String` | `getComment()` |
  `int` | `getEntitySpecTypeId()` |
  `java.lang.String` | `getEntityTitleMacros()` |
  `java.util.Set<java.lang.Integer>` | `getModuleIds()` |
  `boolean` | `isHidden()` |
  `void` | `setAttributeList​(java.util.List<EntitySpecAttr> attributes)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setEntitySpecTypeId​(int entitySpecTypeId)` |
  `void` | `setEntityTitleMacros​(java.lang.String entityTitleMakros)` |
  `void` | `setHidden​(boolean hidden)` |
  `void` | `setModuleIds​(java.util.Set<java.lang.Integer> moduleIds)` |
  `EntitySpecDTO` | `toEntitySpecDTO()` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### EntitySpec

    public EntitySpec()

  - ### EntitySpec

    public EntitySpec​(java.lang.String title)

- ## Method Details

  - ### getModuleIds

    public java.util.Set<java.lang.Integer> getModuleIds()

  - ### getEntitySpecTypeId

    public int getEntitySpecTypeId()

  - ### getEntityTitleMacros

    public java.lang.String getEntityTitleMacros()

  - ### getComment

    public java.lang.String getComment()

  - ### isHidden

    public boolean isHidden()

  - ### getAttributeList

    public java.util.List<EntitySpecAttr> getAttributeList()

  - ### setHidden

    public void setHidden​(boolean hidden)

  - ### setModuleIds

    public void setModuleIds​(java.util.Set<java.lang.Integer> moduleIds)

  - ### setEntitySpecTypeId

    public void setEntitySpecTypeId​(int entitySpecTypeId)

  - ### setEntityTitleMacros

    public void setEntityTitleMacros​(java.lang.String entityTitleMakros)

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### setAttributeList

    public void setAttributeList​(java.util.List<EntitySpecAttr> attributes)

  - ### createEntityTitle

    public java.lang.String createEntityTitle​(Entity entity)

  - ### toEntitySpecDTO

    public EntitySpecDTO toEntitySpecDTO()

  - ### createEntityTitle

    public static java.lang.String createEntityTitle​(int entityId, java.lang.String title, EntitySpec spec, java.util.Map<java.lang.Integer,​EntityAttr> attributes)

  - ### builder

    public static EntitySpec.Builder builder()